Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.cpp.gpp
[Groovy] Class GppCompileSpec

    java.lang.Object
      org.gradle.plugins.cpp.gpp.GppCompileSpec

All Implemented Interfaces:
  CompileSpec, StandardCppCompiler

    class GppCompileSpec
    extends java.lang.Object

Property Summary
`java.lang.String` | `baseName`
`Binary` | `binary`
`java.lang.String` | `extension`
`java.lang.String` | `outputFileName`
`java.util.List` | `settings`
`Compile` | `task`

Constructor Summary
`GppCompileSpec(Binary binary)`

Method Summary
`void` | `args(java.lang.Object args)`
`void` | `compile()`
`void` | `from(CppSourceSet sourceSet)`
`java.lang.String` | `getBaseName()`
`java.lang.String` | `getName()`
`java.io.File` | `getOutputFile()`
`java.lang.String` | `getOutputFileName()`
`protected org.gradle.api.internal.project.ProjectInternal` | `getProject()`
`java.io.File` | `getWorkDir()`
`void` | `includes(SourceDirectorySet dirs)`
`void` | `includes(FileCollection includeRoots)`
`void` | `includes(java.lang.Iterable includeRoots)`
`protected java.lang.Object` | `init()`
`void` | `libs(java.lang.Iterable libs)`
`void` | `setting(groovy.lang.Closure closure)`
`void` | `sharedLibrary()`
`void` | `source(java.lang.Iterable files)`
`void` | `source(FileCollection files)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### baseName

    java.lang.String baseName

### binary

    Binary binary

### extension

    java.lang.String extension

### outputFileName

    java.lang.String outputFileName

### settings

    java.util.List settings

### task

    final Compile task

Constructor Detail

### GppCompileSpec

    GppCompileSpec(Binary binary)

Method Detail

### args

    void args(java.lang.Object args)

### compile

    void compile()

### from

    void from(CppSourceSet sourceSet)

### getBaseName

    java.lang.String getBaseName()

### getName

    java.lang.String getName()

### getOutputFile

    java.io.File getOutputFile()

### getOutputFileName

    java.lang.String getOutputFileName()

### getProject

    protected org.gradle.api.internal.project.ProjectInternal getProject()

### getWorkDir

    java.io.File getWorkDir()

### includes

    void includes(SourceDirectorySet dirs)

### includes

    void includes(FileCollection includeRoots)

### includes

    void includes(java.lang.Iterable includeRoots)

### init

    protected java.lang.Object init()

### libs

    void libs(java.lang.Iterable libs)

### setting

    void setting(groovy.lang.Closure closure)

### sharedLibrary

    void sharedLibrary()

### source

    void source(java.lang.Iterable files)

### source

    void source(FileCollection files)

Groovy Documentation